#include <bits/stdc++.h>

using namespace std;

int main() {
    ifstream in("division.in");
    ofstream out("division.out");
    long long n, a, b, c;
    in >> n;
    a = n / 3 - 1;
    n -= a;
    b = n / 2 - (n % 2 == 0);
    c = n / 2 + 1;
    out << a << " " << b << " " << c << endl;
    return 0;
}
